BazaarLinkBazaarLink
Anmelden
DokumentationAPI-ReferenzSDK-ReferenzAgentic-NutzungKI-Skills
Social and Commerce Data

Submit social data

Rufen Sie öffentliche Social- oder Commerce-Daten nach Plattform und Aktion ab. Der Dienst ist bald verfügbar und standardmäßig deaktiviert. Ein erfolgreiches Ergebnis wird einmal berechnet; Fehler und Ergebnisse ohne Treffer sind kostenlos.

POST/v1/data/social

Autorisierung

Authorizationerforderlich
string · header

API-Schlüssel als Bearer-Token im Authorization-Header.

Body

platformerforderlich
string

Plattform-ID aus dem Katalog, etwa twitter oder instagram.

actionerforderlich
string

Von der Plattform unterstützte Aktion; verfügbare Kombinationen finden Sie im Katalog.

params
object

Aktionsspezifische Eingaben. Verwenden Sie required_params und optional_params aus dem Katalog.

mode
sync | async

Optional. async gibt einen abzufragenden Job zurück; ausschließlich asynchrone Aktionen geben auch bei Auslassung einen Job zurück.

syncasync

Detailguide →

POST /v1/data/social
curl https://api.bazaarlink.ai/v1/data/social \
  -H "Authorization: Bearer $BAZAARLINK_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"platform":"twitter","action":"search","params":{"keyword":"BazaarLink","limit":5}}'
Antwortbeispiele

Abgeschlossenes data.social-Ergebnis mit count, results und usage.cost in USD.

{
  "id": "req_example",
  "object": "data.social",
  "platform": "twitter",
  "action": "search",
  "count": 1,
  "results": [
    {
      "id": "post_example",
      "url": "https://x.com/someone/status/post_example",
      "text": "Example post",
      "like_count": 120,
      "reply_count": 8,
      "retweet_count": 14,
      "view_count": 5400,
      "posted_at": "2026-10-07T00:48:38+00:00",
      "author_username": "someone",
      "author_name": "Someone",
      "platform": "twitter"
    }
  ],
  "usage": {
    "cost": 0.0048
  }
}
Support
Support
Hi! How can we help you?
Send a message and we'll get back to you soon.